Bug 123406 - kde5: Crash pressing Esc in undocked Find toolbar
Summary: kde5: Crash pressing Esc in undocked Find toolbar
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All Linux (All)
: medium normal
Assignee: Aleksei Nikiforov
URL:
Whiteboard: target:6.3.0 target:6.2.2 target:6.2....
Keywords: haveBacktrace
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2019-02-12 14:20 UTC by Michael Weghorn
Modified: 2019-04-05 15:09 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
gdb bt (4.25 KB, text/plain)
2019-02-24 17:04 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Weghorn 2019-02-12 14:20:45 UTC
Version: 6.3.0.0.alpha0+
Build ID: 3b5dd1d49e3b5d669d020f0b268625b106c1c661
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded

This is specific to the qt5/kde5 VCL plugin. It's not reproducible when using e.g. the gtk3 VCL plugin.

Steps to reproduce:

1) start LibreOffice Writer
2) Press Ctrl+F to open the Find toolbar
3) Undock the Find toolbar via drag'n'drop at the left-hand side
4) Press 'Esc' to close the toolbar

Result: LibreOffice crashes
Comment 1 Katarina Behrens (CIB) 2019-02-12 14:42:09 UTC
Yep (as discussed on IRC)
Comment 2 Julien Nabet 2019-02-24 17:04:37 UTC
Created attachment 149556 [details]
gdb bt

On pc Debian x86-64 with master sources updated today + enable-dbgutil + kde5, I could reproduce this.

Just tell me if it'd help to give a try with wayland.
Comment 3 Commit Notification 2019-02-27 00:05:12 UTC
Aleksei Nikiforov committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/5fe551931d49a64ca4ea793a5016c098e41e84cd%5E%21

tdf#123406 KDE5: Use delayed frame destruction

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Michael Weghorn 2019-02-27 10:19:21 UTC
Verified with

Version: 6.3.0.0.alpha0+
Build ID: bf03f0b9b7f1dfc054c0d985f38147c4e875bd9f
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded
Comment 5 Commit Notification 2019-02-27 20:14:02 UTC
Aleksei Nikiforov committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/e0e3064e43dd21f9d91805718618625ac4fb29d7%5E%21

tdf#123406 KDE5: Use delayed frame destruction

It will be available in 6.2.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2019-03-13 16:15:53 UTC
Aleksei Nikiforov committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/77ddb3bd2ad78304bc882b1c5ba162c2983f4b56%5E%21

tdf#123406 KDE5: Update delayed frame destruction

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-04-02 00:00:25 UTC
Aleksei Nikiforov committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/d622be2d6bcfcc2c7260421e0eaa09c76ce15da2%5E%21

tdf#123406 KDE5: Update delayed frame destruction

It will be available in 6.2.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2019-04-05 15:09:33 UTC
Aleksei Nikiforov committed a patch related to this issue.
It has been pushed to "libreoffice-6-2-3":

https://git.libreoffice.org/core/+/837de621fe2c80ca62f1eb68dbf4ce2d6687784e%5E%21

tdf#123406 KDE5: Update delayed frame destruction

It will be available in 6.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.